JavaServiceWriter (Axis API)
Keywords: org.apache.axis.wsdl.toJava.JavaServiceWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaServiceWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaServiceWriter

All Implemented Interfaces:
  Generator

public class JavaServiceWriter
extends java.lang.Object
implements Generator

This is Wsdl2java's Service Writer. It writes the following files, as appropriate: .java, TestCase.java.

Field Summary
`protected Emitter` | `emitter` Field emitter
`static java.lang.String` | `PORT_NAME` Field PORT_NAME
`protected javax.wsdl.Service` | `service` Field WSDL service
`protected Generator` | `serviceIfaceWriter` Field serviceIfaceWriter
`protected Generator` | `serviceImplWriter` Field serviceImplWriter
`protected SymbolTable` | `symbolTable` Field symbolTable
`protected Generator` | `testCaseWriter` Field testCaseWriter

Constructor Summary
`JavaServiceWriter(Emitter emitter, javax.wsdl.Service service, SymbolTable symbolTable)` Constructor.

Method Summary
`void` | `generate()` Write all the service bindnigs: service and testcase.
`protected void` | `postSetGenerators()` Set the writer based on the other condition after generate() is called.
`protected void` | `setGenerators()` setGenerators Logic to set the generators that are based on the Service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serviceIfaceWriter

    protected Generator serviceIfaceWriter

  Field serviceIfaceWriter

### serviceImplWriter

    protected Generator serviceImplWriter

  Field serviceImplWriter

### testCaseWriter

    protected Generator testCaseWriter

  Field testCaseWriter

### PORT_NAME

    public static final java.lang.String PORT_NAME

  Field PORT_NAME

  See Also:
    Constant Field Values

### emitter

    protected Emitter emitter

  Field emitter

### service

    protected javax.wsdl.Service service

  Field WSDL service

### symbolTable

    protected SymbolTable symbolTable

  Field symbolTable

Constructor Detail

### JavaServiceWriter

    public JavaServiceWriter(Emitter emitter,
                             javax.wsdl.Service service,
                             SymbolTable symbolTable)

  Constructor.

Parameters:
  `emitter` -
  `service` -
  `symbolTable` -

Method Detail

### setGenerators

    protected void setGenerators()

  setGenerators Logic to set the generators that are based on the Service. This logic was moved from the constructor so extended interfaces can more effectively use the hooks.

### postSetGenerators

    protected void postSetGenerators()

  Set the writer based on the other condition after generate() is called.

### generate

    public void generate()
                  throws java.io.IOException

  Write all the service bindnigs: service and testcase.

  Specified by:
    `generate` in interface `Generator`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.